#
# spec file for package sane (Version 1.0.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gimp-devel glib glib-devel gtk gtk-devel hp-officeJet libjpeg te_latex tetex ucdsnmp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext gimp-devel glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip hp-officeJet kbd less libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone ucdsnmp unzip util-linux vim xdevel xf86 xshared

Name:         sane
Copyright:    GPL (programs), relaxed GPL (libraries), and public domain (SANE standard) 
Group:        X11/Applications/Graphics
Provides:     libsane.so.1 sane 
Autoreqprov:  on
Summary:      Scanner Access Now Easy
Version:      1.0.5
Release:      133
Url:          http://www.mostang.com/sane/
Source:       ftp://ftp.de.mostang.com/pub/sane/sane-backends-%{version}.tar.bz2
Source1:      mustek_usb-backend-1.0-4.tar.bz2
Source2:      ftp://ftp.de.mostang.com/pub/sane/sane-frontends-%{version}.tar.bz2
Source3:      rc.config.sane
Source4:      rc.sane
Patch:        sane-backends-%{version}.dif
Patch1:       sane-frontends-%{version}.dif
# Patch2:       backend.dif
#
#
%define       sane_version %{version}

%description
SANE (Scanner Access Now Easy) is a universal scanner
interface and comes complete with documentation and several
front-ends and back-ends. SANE is the standard scan solution for Linux.
Especially interesting is the network scan module, which allows connections
to scanners via network. Different clients are available.

Authors:
--------
    Abel Deuring <a.deuring@satzbau-gmbh.de>
    Andreas Beck <becka@sunserver1.rz.uni-duesseldorf.de>
    Andreas Bolsch <ab@maths.nott.ac.uk>
    Andreas Czechanowski <m075@ins.uni-stuttgart.de>
    Andreas Rick <andreas.rick@free.fr>
    Andrew Kuchling <amk@magnet.com>
    Bernd Schroeder <bernd@aquila.muc.de>
    Brian J. Murrell <brian@interlinx.bc.ca>
    Chris Pinkham <cpinkham@infi.net>
    Christian Bucher <cbucher@vernetzt.at>
    David Etherton <etherton@netcom.com>
    David F. Skoll <dskoll@iname.com>
    David Huggins-Daines <bn711@freenet.carleton.ca>
    David Mosberger <David.Mosberger@acm.org>
    Didier Carlier <didier@sema.be>
    FUKUDA Kazuya <fukuda@avm.nhe.nec.co.jp>
    Juergen G. Schimmer <schimmi@nbgm.siemens.de>
    Feico W. Dillema <dillema@acm.org>
    Franck Schneider <schnefra@hol.fr>
    Gerhard Jaeger <g.jaeger@earthling.net>
    Gordon Matzigkeit <gord@gnu.ai.mit.edu>
    Guido Muesch <odiug@faho.rwth-aachen.de>
    Helmut Koeberle <helmut.koeberle@bytec.de>
    Henning Meier-Geinitz <hmg@gmx.de>
    Ingo Schneider <schneidi@informatik.tu-muenchen.de>
    Ingo Wilken <Ingo.Wilken@informatik.uni-oldenburg.de>
    Jeff Freedman <jsf@hevanet.com>
    Jochen Eisinger <jochen.eisinger@gmx.net>
    Karl Anders ygard <karlo@opera.no>
    Karl Heinz Kremer <khk@khk.net>
    Kazuhiro Sasayama <kaz@hypercore.co.jp>
    Kevin Charter <charter@cs.rice.edu>
    Manuel Panea <Manuel.Panea@rzg.mpg.de>
    Markus Mertinat <Markus.Mertinat@Physik.Uni-Augsburg.DE>
    Matthew Marjanovic <maddog@mir.com>
    Meino Christian Cramer <mccramer@s.netic.de>
    Michael K. Johnson <johnsonm@redhat.com>
    Michel Roelofs <michelr@stack.nl>
    Milon Firikis <milonf@ariadne-t.gr>
    Oliver Rauch <Oliver.Rauch@Wolfsburg.DE>
    Patrick Reynolds <patrickr@virginia.edu>
    Peter Fales <psfales@earthling.net>
    Peter Kirchgessner <peter@kirchgessner.net>
    Petter Reinholdtsen <pere@td.org.uit.no>
    Randolph Bentson <bentson@grieg.holmsjoen.com>
    Rene Rebe <rene.rebe@myokay.net>
    Roger Wolff <R.E.Wolff@BitWizard.nl>
    Tristan Tarrant <ttarrant@etnoteam.it>

SuSE series: gra

%prep
%setup -n sane-backends-%{sane_version} -a1 -b2
%patch
cd ../sane-frontends-%{sane_version}
%patch 1 -P

%build
%{?suse_update_config:%{suse_update_config -f}} 
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --exec-prefix=/usr/X11R6 \
	--sysconfdir=/etc --libdir=/usr/lib --sbindir=/usr/sbin \
        --docdir=%{_defaultdocdir}/sane/sane-backends/ \
	--mandir=%{_mandir} --datadir=/usr/X11R6/lib/sane
make "CFLAGS=-O2 -DGIMP_ENABLE_COMPAT_CRUFT=1"
make "CFLAGS=-O2 -DGIMP_ENABLE_COMPAT_CRUFT=1" install
# install -m 755 tools/xerox $RPM_BUILD_ROOT/usr/X11R6/bin
cd ../sane-frontends-%{sane_version}
%{?suse_update_config:%{suse_update_config -f}} 
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --exec-prefix=/usr/X11R6 \
	--sysconfdir=/etc --libdir=/usr/lib --sbindir=/usr/sbin \
        --docdir=%{_defaultdocdir}/sane/sane-frontends/ \
	--mandir=%{_mandir} --datadir=/usr/X11R6/lib/sane 
make "CFLAGS=-O2 -DGIMP_ENABLE_COMPAT_CRUFT=1"

%install
make install
install -m 644 README.SuSE $RPM_BUILD_ROOT/%{_defaultdocdir}/sane
# create gimp-Plugin-Link
rm -f $RPM_BUILD_ROOT/usr/lib/gimp/1.2/plug-ins/xscanimage
install -d $RPM_BUILD_ROOT/usr/lib/gimp/1.2/plug-ins
(cd $RPM_BUILD_ROOT/usr/lib/gimp/1.2/plug-ins; ln -s ../../../../X11R6/bin/xscanimage ./xscanimage)
cd ../sane-frontends-%{sane_version}
make install
install -c AUTHORS COPYING
# add libsane-dll-link to /usr/lib
rm -rf /usr/lib/libsane-dll.so* 
cd $RPM_BUILD_ROOT/usr/lib && ln -s sane/libsane-dll.so .
cd $RPM_BUILD_ROOT/usr/lib && ln -s sane/libsane-dll.so.1 .
cd $RPM_BUILD_ROOT/usr/lib && ln -s sane/libsane-dll.so.%{version} .
install -d -m 744 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/init.d/sane
rm -f $BUILD_ROOT/usr/sbin/rcsane
ln -s ../../etc/init.d/sane $RPM_BUILD_ROOT/usr/sbin/rcsane

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.sane
else
echo "ERROR: fillup not found. This should not happen. Please compare"
echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.sane and update manually."
fi
sbin/insserv etc/init.d/sane
# /usr/sbin/rcsane

%files
%dir /etc/sane.d
%config /etc/sane.d/*.conf
%config /var/adm/fillup-templates/rc.config.sane
%config /etc/init.d/sane
/usr/sbin/rcsane
/usr/X11R6/bin/sane-config
/usr/X11R6/bin/sane-find-scanner
/usr/X11R6/bin/scanimage
/usr/X11R6/bin/xscanimage
/usr/X11R6/bin/xcam
/usr/lib/gimp/1.2/plug-ins/xscanimage
/usr/sbin/saned
/usr/lib/libsane*
/usr/lib/sane/libsane*
/usr/include/sane
/usr/X11R6/lib/sane/sane-style.rc
%doc %{_defaultdocdir}/sane/README.SuSE
%doc %{_mandir}/man1/saned.1.gz
%doc %{_mandir}/man1/scanimage.1.gz
%doc %{_mandir}/man1/xscanimage.1.gz
%doc %{_mandir}/man5/sane-*.5.gz
%doc %{_defaultdocdir}/sane/sane-frontends
%doc %{_defaultdocdir}/sane/sane-backends

%changelog -n sane
* Wed Sep 12 2001 - freitag@suse.de
- added support for Agfa SnapScan 1236U and updated to a later verion
  of mustek_usb-Backend, which provides better integration to the
  main backend module.
  Disabled all dll-entries in /etc/sane.d/dll.conf to avoid probs
  with wrong device detection which happend in the past. The yast
  module enables the correct one, added a README.SuSE to the sane
  package doc path that describes this change.
* Tue Sep 04 2001 - freitag@suse.de
- added a rc-script that changes the permissions of scsi scanner
  devices if they are installed. The scsi device files are switched
  to permission 666 on startup and reverted back to 640 on shutdown.
* Mon Sep 03 2001 - freitag@suse.de
- added a backend for mustek usb scanners.
* Wed Aug 29 2001 - freitag@suse.de
- added support for scanning from HP all-in-one-devices.
  Therefore, package hp-officeJet is needed.
- added a configure option --docdir to get rid of build failiures
  on distributions which have the documentation not in share.
* Mon Aug 27 2001 - freitag@suse.de
- applied patches for scanimage and sane-find-scanner that produce
  better parseable output for scripts etc. to help yast2 module.
- added a not yet in SANE released driver for mustek usb scanners,
  which are quite common in germany. The driver was initially written
  by a mustek engineer and was overtaken by the mustek backend
  maintainer of SANE.
* Tue Jul 17 2001 - uli@suse.de
- disabled direct PIO access for PPC
* Thu Jul 05 2001 - freitag@suse.de
- update to release 1.0.5
- documentation again created dynamically.
* Thu Jun 28 2001 - freitag@suse.de
- updated to pre-1.0.5 version, 1.0.5 is expected soon
- patched sane-find-scanner to have a silent mode.
* Mon Apr 09 2001 - freitag@suse.de
- applied snapscan-patch, fixed problem with missing gimp-plugin-link
* Fri Mar 30 2001 - uli@suse.de
- fixed to build on PPC
* Fri Mar 23 2001 - freitag@suse.de
- removed dependency to gimp, patch to solve timing probs with
  kernel 2.4
* Fri Jan 05 2001 - freitag@suse.de
- updated to version 1.0.4
* Wed Dec 20 2000 - ro@suse.de
- fixed symlink
* Mon Nov 20 2000 - freitag@suse.de
- hide parport-scanner in standard sane distribution in dll.conf
* Wed Nov 15 2000 - freitag@suse.de
- skipped parport-scanner driver also for axp
* Tue Nov 07 2000 - freitag@suse.de
- skipped parport-scanner for ppc and sparc
* Mon Nov 06 2000 - freitag@suse.de
- fixed Copyright/License-Field in SpecFile
* Thu Nov 02 2000 - ro@suse.de
- fix neededforbuild for new package-names
* Thu Nov 02 2000 - freitag@suse.de
- new version 1.0.3
  patch for Artec AS6E scanner
  patch for HP4200 PPort Scanner
* Mon Sep 25 2000 - uli@suse.de
- fixed to build with new GIMP
* Mon Sep 25 2000 - egger@suse.de
- Upgraded to 1.0.3.
- Added -DGIMP_ENABLE_COMPAT_CRUFT to build again.
- The specfile is quite messy... maybe the maintainer could clean
  that up, please?
* Mon Sep 25 2000 - ro@suse.de
- changed neededforbuild: libgimpd -> gimpdev
* Tue Sep 12 2000 - mhafner@suse.de
- added suse_update_config
* Tue Jun 27 2000 - freitag@suse.de
- libs back to /usr/lib/sane - except libsane.so. and libsane-dll
* Fri Jun 02 2000 - freitag@suse.de
- problem with missing headerfiles and wrong linked libs fixed.
* Wed May 24 2000 - freitag@suse.de
- new configure switch --enable-scsibuffersize due to reported
  problems on the SANE-Mailinglist.
- installed *all* sane-libraries to /usr/lib
* Tue Mar 21 2000 - bodammer@suse.de
- backend for Agfa SnapScan V0.8 again
* Mon Mar 20 2000 - bodammer@suse.de
- update -> sane-1.0.2
  link to libsane-dll.so.1 included for xsane to work
* Sat Mar 04 2000 - ro@suse.de
- removed libgimp from neededforbuild
* Thu Mar 02 2000 - uli@suse.de
- moved man pages to %%{_mandir}
* Mon Feb 07 2000 - kukuk@suse.de
- Don't check for asm/io.h, this will not work on SPARC
* Tue Jan 18 2000 - bodammer@suse.de
- backend for Agfa SnapScan updated to V0.8
  works with new sg-modul from kernel > 2.2.5
* Fri Oct 15 1999 - ro@suse.de
-xscanimage: renamed GIMP_EXTENSION to IS_GIMP_EXTENSION
  (GIMP_EXTENSION is already used as enumerator as of gimp-1.1.10)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 02 1999 - ro@suse.de
- update to 1.0.1
- fixed neededforbuild to get gimp-support back
- removed tcl tk from neededforbuild
* Sun Jul 18 1999 - mha@suse.de
- removed '#' in front of /usr/sbin/saned in sane.spec
  for mb who isn't here today ;-)
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Fri Mar 19 1999 - mb@suse.de
- fixed gtkn, gtkndev, glibn, glibndev dependencies
* Thu Nov 26 1998 - mb@suse.de
- major update to version 1.0
- new enhanced drivers for Abaton, Agfa Focus and Ricoh scanners
- Kodak DC210 still not supported
- Update for many drivers (Artec,Kodak,DC25,Microtek,Microtek2,Mustek
  UMAX and SnapScan).
- removed sgcheck. sgcheck now is in scsiinfo.
* Mon Nov 23 1998 - mb@suse.de
- added sgcheck tool. It scans /proc/scsi/scsi and tells you
  exactly the generic scsi ID of your SCSI devices, respectively
  your scanner.
- added README.sgcheck
* Wed Nov 18 1998 - ro@suse.de
- added libsane.so
* Tue Nov 17 1998 - ro@suse.de
- adjust neededforbuild to current distribution
* Fri Nov 13 1998 - mb@suse.de
- new version 0.74
- new and more scanners supported
- automatically detects attached scanners
* Mon May 25 1998 - mb@suse.de
- new version 0.73
- according to author may still cause trouble with microtek2 scanners!!
- uses new gtk1.0.1
- added scanners to supported list
- lots of bug fixed
* Wed Mar 11 1998 - ro@suse.de
- added libsane.so.0 to filelist
* Wed Feb 04 1998 - mb@suse.de
- new version 0.70
- added support for various scanners, such as agfa, microtek etc.
- bugfixing for umax scanners
* Sun Sep 21 1997 - mb@suse.de
  Initial version 0.63
